package com.railway.business.safetool.service;

import com.railway.business.safetool.domain.BaseSafetyTool;
import java.util.List;
/**
* 安全工具-基础数据
* @author wuhonghao
* @date 2021/12/01
*/
public interface IBaseSafetyToolService{

    /**
    * 新增
    */
    int create(BaseSafetyTool baseSafetyTool);

    /**
    * 删除
    */
    int delete(String[] toolIds);

    /**
    * 更新
    */
    int update(BaseSafetyTool baseSafetyTool);

    /**
    * 获取单个
    */
    BaseSafetyTool getInfo(String toolId);

    /**
    * 查询列表
    */
    List<BaseSafetyTool> getList(BaseSafetyTool baseSafetyTool);

    /**
     *  替换安全工具
     */
    int replaceTool(BaseSafetyTool baseSafetyTool);


}
